<?xml version="1.0" encoding="UTF-8"?>
<config type="unix">
  <general applicationName="exe4j" applicationVersion="4.2" mediaSetId="53" applicationId="4426-4425-6055-8903" status="LCOK" mediaName="exe4j_unix_4_2" jreVersion="" minJavaVersion="1.5" publisherName="ej-technologies GmbH" publisherURL="http://www.ej-technologies.com" jreShared="false" lzmaCompression="true" pack200Compression="true" installerType="1" suggestPreviousProgramGroup="false" addOnAppId="" suggestPreviousLocations="true" uninstallerFilename="uninstall" uninstallerDirectory="." />
  <languages skipLanguageSelection="false" languageSelectionInPrincipalLanguage="false">
    <variable id="en" name="English" messageFile="i4j_extf_0_7exk44.utf8" customLocalizationFile="" />
  </languages>
  <variables>
    <variable name="fullJreVersion" value="1.5.0_08" />
    <variable name="winSigner" value="signcode -spc ../../../../../myOwn.spc -v ../../../../../mykey.pvk -vp schrott -t http://timestamp.verisign.com/scripts/timstamp.dll $EXECUTABLE" />
    <variable name="sys.version" value="4.2" />
    <variable name="sys.shortName" value="exe4j" />
    <variable name="sys.fullName" value="exe4j" />
    <variable name="sys.publisher" value="ej-technologies GmbH" />
    <variable name="sys.publisherUrl" value="http://www.ej-technologies.com" />
    <variable name="sys.setName" value="Unix Archive" />
    <variable name="sys.platform" value="unix" />
    <variable name="sys.languageId" value="en" />
    <variable name="sys.withJre" value="" />
    <variable name="sys.date" value="20090119" />
    <variable name="sys.javaMinVersion" value="1.5" />
    <variable name="sys.javaMaxVersion" value="1.6" />
    <variable name="sys.install4jHome" value="/home/build/projects/install4j/build/test/install4j" />
    <variable name="sys.applicationId" value="4426-4425-6055-8903" />
  </variables>
  <customCode />
  <applications>
    <application id="installer">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.InstallerApplication" />
      </java>
      <screens>
        <screen id="15" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="20" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.WelcomeScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="21" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.LicenseScreen">
              <void property="displayedTextFile">
                <object class="com.install4j.api.beans.ExternalFile">
                  <string>i4j_extf_1_7exk44.html</string>
                </object>
              </void>
            </object>
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="22" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.InstallationDirectoryScreen" />
          </java>
          <actions>
            <action id="75" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.LoadResponseFileAction" />
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="24" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StandardProgramGroupScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="25" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.FileAssociationsScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="26" conditionClass="" rollbackBarrier="true" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.InstallationScreen" />
          </java>
          <actions>
            <action id="28" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.InstallFilesAction" />
              </java>
            </action>
            <action id="29" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateProgramGroupAction">
                  <void property="programGroupName">
                    <string>exe4j</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="30" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.RegisterAddRemoveAction">
                  <void property="itemName">
                    <string>exe4j 4.2</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="31" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateFileAssociationAction">
                  <void property="description">
                    <string>exe4j project files</string>
                  </void>
                  <void property="extension">
                    <string>exe4j</string>
                  </void>
                  <void property="launcherId">
                    <string>2</string>
                  </void>
                  <void property="mac">
                    <boolean>false</boolean>
                  </void>
                  <void property="macIconFile">
                    <object class="com.install4j.api.beans.ExternalFile">
                      <string />
                    </object>
                  </void>
                  <void property="windowsIconFile">
                    <object class="com.install4j.api.beans.ExternalFile">
                      <string>i4j_extf_2_7exk44_1hg1y7a.ico</string>
                    </object>
                  </void>
                </object>
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="32" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.FinishedScreen" />
          </java>
          <actions>
            <action id="42" conditionClass="I4jScript_Internal_6" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.finish.ExecuteLauncherAction">
                  <void property="launcherId">
                    <string>2</string>
                  </void>
                </object>
              </java>
            </action>
          </actions>
          <formComponents>
            <formComponent id="43" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>${i18n:RunEntryExec("exe4j")}</string>
                  </void>
                  <void property="initiallySelected">
                    <boolean>true</boolean>
                  </void>
                  <void property="variableName">
                    <string>executeLauncherAction</string>
                  </void>
                </object>
              </java>
            </formComponent>
          </formComponents>
        </screen>
      </screens>
    </application>
    <application id="uninstaller">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.UninstallerApplication" />
      </java>
      <screens>
        <screen id="16" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="33" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallWelcomeScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="34" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallationScreen" />
          </java>
          <actions>
            <action id="35" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.UninstallFilesAction" />
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="36" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallFailureScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="37" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallSuccessScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
      </screens>
    </application>
  </applications>
  <launchers>
    <launcher type="gui" id="2" excludeFromMenu="false" uninstaller="false" name="exe4j Wizard" file="bin/exe4j" />
    <launcher type="console" id="3" excludeFromMenu="true" uninstaller="false" name="exe4j command line compiler" file="bin/exe4jc" />
  </launchers>
  <scriptClassOrigins>
    <class className="I4jScript_Internal_6" beanType="action" beanName="Execute launcher" propertyName="Condition expression" parentScreen="Finish" />
  </scriptClassOrigins>
</config>

